Title: wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php | Developer.WordPress.org

---

# File: wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php

 * method[WP_REST_Post_Statuses_Controller::get_collection_params()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_collection_params/)
 * Retrieves the query params for collections.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_collection_params/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_collection_params/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:368](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L368-L372)
 * method[WP_REST_Post_Statuses_Controller::get_item()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item/)
 * Retrieves a specific post status.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:196](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L196-L210)
 * method[WP_REST_Post_Statuses_Controller::prepare_item_for_response()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/prepare_item_for_response/)
 * Prepares a post status object for serialization.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/prepare_item_for_response/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/prepare_item_for_response/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:222](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L222-L286)
 * hook[rest_prepare_status](https://developer.wordpress.org/reference/hooks/rest_prepare_status/)
 * Filters a post status returned from the REST API.
 * Used by [1 function](https://developer.wordpress.org/reference/hooks/rest_prepare_status/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/rest_prepare_status/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:285](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L285-L285)
 * method[WP_REST_Post_Statuses_Controller::get_item_schema()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_schema/)
 * Retrieves the post status’ schema, conforming to JSON Schema.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_schema/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_schema/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:295](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L295-L359)
 * method[WP_REST_Post_Statuses_Controller::get_items()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items/)
 * Retrieves all post statuses, depending on user context.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:111](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L111-L128)
 * method[WP_REST_Post_Statuses_Controller::get_item_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_permissions_check/)
 * Checks if a given request has access to read a post status.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_permissions_check/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_item_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:138](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L138-L160)
 * method[WP_REST_Post_Statuses_Controller::check_read_permission()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/check_read_permission/)
 * Checks whether a given post status should be visible.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/check_read_permission/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/check_read_permission/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:170](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L170-L186)
 * class[WP_REST_Post_Statuses_Controller](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/)
 * Core class used to access post statuses via the REST API.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:17](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L17-L373)
 * method[WP_REST_Post_Statuses_Controller::__construct()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/__construct/)
 * Constructor.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/__construct/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/__construct/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:24](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L24-L27)
 * method[WP_REST_Post_Statuses_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/register_routes/)
 * Registers the routes for post statuses.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/register_routes/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/register_routes/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:36](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L36-L73)
 * method[WP_REST_Post_Statuses_Controller::get_items_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items_permissions_check/)
 * Checks whether a given request has permission to read post statuses.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items_permissions_check/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_post_statuses_controller/get_items_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php:83](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php#L83-L101)